org.codehaus.groovy.antlr

## Interface AntlrASTProcessor

All Known Implementing Classes:
  AntlrASTProcessSnippets, FlatNodeListTraversal, PreOrderTraversal, SourceCodeTraversal, TraversalHelper

    public interface AntlrASTProcessor

An interface for processing antlr AST objects

Author:
  Jeremy Rayner

### Method Summary

All Methods Instance Methods Abstract Methods
`antlr.collections.AST` `process(antlr.collections.AST t)` performs some processing on the supplied AST node.

### Method Detail

#### process

    antlr.collections.AST process(antlr.collections.AST t)

performs some processing on the supplied AST node.

Parameters:
  `t` - the AST node to process.
Returns:
  possibly returns the AST modified or null, depends on the implementation.